#
# spec file for package perl-Net-SNMP (Version 5.2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Crypt-DES perl-Digest-HMAC perl-Digest-SHA1 permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Net-SNMP
BuildRequires:  perl-Crypt-DES perl-Digest-HMAC
Version:        5.2.0
Release:        12.2
Provides:       p_nsnmp
Obsoletes:      p_nsnmp
Requires:       perl-Digest-HMAC perl-Digest-SHA1 perl-Crypt-DES
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://cpan.org/modules/by-module/Net/
Summary:        Net::SNMP Perl Module
Source:         Net-SNMP-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Net::SNMP module implements an object oriented interface to the
Simple Network Management Protocol.



Authors:
--------
    David M. Town <dtown@fore.com>

%debug_package
%prep
%setup -q -n Net-SNMP-%{version} 

%build
find examples -type f | xargs -n 1 sed -i "s@#!\s*/usr/local/bin/perl@#!/usr/bin/perl@"
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README examples
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Net
%{perl_vendorarch}/auto/Net
%{_bindir}/*
/var/adm/perl-modules/%{name}

%changelog -n perl-Net-SNMP
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 06 2006 - anicka@suse.cz
- update to 5.2.0
* Mon Aug 01 2005 - cthiel@suse.de
- update to version 5.1.0
* Thu Feb 17 2005 - mjancar@suse.cz
- update to 5.0.1
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 5.0.0
* Sun Jun 20 2004 - ro@suse.de
- fix find command in specfile
* Sat Feb 28 2004 - ro@suse.de
- fix requirement for /usr/local
* Wed Oct 22 2003 - mjancar@suse.cz
- update to 4.1.2
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Tue Jun 17 2003 - mjancar@suse.cz
- fix filelist
* Fri Jun 06 2003 - mjancar@suse.cz
- update to 4.1.0
- don't package MANIFEST
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Fri Dec 20 2002 - prehak@suse.cz
- updated to version 4.0.3
* Tue Aug 06 2002 - ro@suse.de
- change neededforbuild perl-Cryptix -> perl-Crypt-DES
* Mon Jul 29 2002 - mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Mon Jul 22 2002 - prehak@suse.cz
- update to version 4.0.2
- added examples directory to documentation
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Thu Jan 17 2002 - rvasice@suse.cz
- update to version 4.0.1
* Mon Mar 26 2001 - cihlar@suse.cz
- added make test
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed p_nsnmp -> perl-Net-SNMP
- update to version 3.60
* Thu Aug 24 2000 - cihlar@suse.cz
- package created
